import { base } from "../base.js";
import { blockGitHubActionsCI } from "./blockGitHubActionsCI.js";
const blockAreTheTypesWrong = base.createBlock({
  about: {
    name: "README.md"
  },
  produce() {
    return {
      addons: [
        blockGitHubActionsCI({
          jobs: [
            {
              name: "Are The Types Wrong?",
              steps: [
                {
                  run: "npx --yes @arethetypeswrong/cli --pack . --ignore-rules cjs-resolves-to-esm"
                }
              ]
            }
          ]
        })
      ]
    };
  }
});
export {
  blockAreTheTypesWrong
};
//# sourceMappingURL=blockAreTheTypesWrong.js.map